// ===========================================================================
//	mac_cosmos.h		COSMOS Startup for Macintosh by Tomoki Sekiyama
// ===========================================================================

#pragma once

#include <LDocApplication.h>
#include <LGrowZone.h>

class COSMOS : public LDocApplication, public LListener {

public:
							COSMOS();
	virtual					~COSMOS();

	virtual Boolean			ObeyCommand(
								CommandT			inCommand,
								void*				ioParam = nil);	

	virtual void			FindCommandStatus(
								CommandT			inCommand,
								Boolean&			outEnabled,
								Boolean&			outUsesMark,
								UInt16&				outMark,
								Str255				outName);

	virtual void			OpenDocument(
								FSSpec*				inMacFSSpec);
	virtual void			ChooseDocument();

	virtual void			ListenToMessage(MessageT inMessage, void* ioParam);
	Boolean				AllowSubRemoval(LCommander*	 inSub);

protected:
	virtual void			StartUp();
	
			void			RegisterClasses();

	LGrowZone *			mLGrowZone;
};

extern COSMOS * theApp;